 if SERVER then
AddCSLuaFile( "cl_OverridePropEffect.lua" );
else
local Disable = CreateClientConVar( "cl_disable_spawn_effects", "1", true, false )
if Disable:GetInt() != 1 then return; end
local function Override()
Msg( "Overriding propspawn function\n" )
DoPropSpawnedEffect = function( ent )
-- You can add a new spawn effect here if you want.
end
Msg( "Overriding propspawn effect\n" )
effects.Register( { Init = function() end, Think = function() end, Render = function() end }, "propspawn" );
end
hook.Add( "PostGamemodeLoaded", "PostGamemodeLoaded.OverridePropEffect", Override );
concommand.Add( "cl_override_spawneffect", Override );
timer.Create( "OverridePropEffect", 30, 0, Override );
end
